<?php

$TEST = true;
$STRUTTURA = false;
session_start();

ini_set('error_reporting', E_ALL | E_STRICT);
ini_set('display_errors', FALSE);
ini_set('log_errors', TRUE);
ini_set('error_log', '__TesseraSanitaria.log');
ini_set("soap.wsdl_cache_enabled", "0");

error_log(".", 0);
error_log("main ".$_SERVER['PHP_SELF'], 0);

if( $TEST )
    {
    error_log("TEST RUN ***************", 0);

    $InvioTelematico	= "https://invioSS730pTest.sanita.finanze.it/entrate/InvioTelematicoSS730pMtomWeb/InvioTelematicoSS730pMtomPort"; 
    $DettaglioErrori	= "https://invioSS730pTest.sanita.finanze.it/entrate/EsitoStatoInviiWEB/DettaglioErrori730Service";
    $EsitoInvio		= "https://invioSS730pTest.sanita.finanze.it/entrate/EsitoStatoInviiWEB/EsitoInvioDatiSpesa730Service";
    $ricevutePdf	= "https://invioSS730pTest.sanita.finanze.it/entrate/Ricevute730ServiceWeb/ricevutePdf";
    $DocumentoSpesa	= "";
    }
else
    {
    error_log("INVIO EFFETTIVO *******", 0);

    $InvioTelematico	= "https://invioSS730p.sanita.finanze.it/entrate/InvioTelematicoSS730pMtomWeb/InvioTelematicoSS730pMtomPort"; 
    $DettaglioErrori	= "https://invioSS730p.sanita.finanze.it/entrate/EsitoStatoInviiWEB/DettaglioErrori730Service";
    $EsitoInvio		= "https://invioSS730p.sanita.finanze.it/entrate/EsitoStatoInviiWEB/EsitoInvioDatiSpesa730Service";
    $ricevutePdf	= "https://invioSS730p.sanita.finanze.it/entrate/Ricevute730ServiceWeb/ricevutePdf";
    $DocumentoSpesa	= "";
    }

define ("_name",			"Intermediario");
define ("_user",			"MSSSMN78C13C773M");
define ("_psw",			"sotcat00");
define ("_networkUser",		"");
define ("_networkPsw",		"");
define ("_cfProprietario",		"FBNFBA62S28H501F");
define ("_cfProprietarioCifrato",	"D2gaDXAj5exzECkreY9RheFDaN3dtfSoOlmu2ahbhNjeI2Mxj7lK/+mgo/U1OqlhQbNlmO/zP4Ry1e/hN1GIZNByCNPHvwLxxKwmWMycCnV/TElaIp2CnQylkS3rmzD7sA+SyoCR7EpgFF6CJS0c8+LAIqVsREZgVBGpLyAdfZE=");
define ("_piProprietario",		"00265910661");
define ("_pincodeInviante",		"4B64AA1D");
define ("_pincodeInvianteCifrato",	"GOglHlCjqez9+ZRXwlAg3SCbtEM5ZYvnUYF4dXm/y485ZAaZe7HWlw83vvSvcQPNJN1bZzrNf/Hsy609omumAyCOFN6ahU3H0gBwMXULMgJ1tVsL84HO+15hGZfH1LYMXczRsBQwy33ziHXx0WUwbmMj7pSDdi3GsEHyvDgkaxM=");
define ("_Sede",			"07874631000-000");
define ("_codiceRegione",		"");
define ("_codiceAsl",			"");
define ("_codiceSSA",			"");
define ("_PercorsoDocRicevuti",	"730precompilato_2019_RisultatiInvio/");
define ("_Fatture730", "LUONGO_spesesanitarie_19_1.zip");     // nome del file da trattare ( .txt, .xml, .zip )

define ("_InvioTelematico_WSDL",	"InvioTelematicoSpeseSanitarie730p.wsdl"); 
define ("_DettaglioErrori_WSDL",	"DettaglioErrori730Service.wsdl");
define ("_EsitoInvio_WSDL",		"EsitoInvioDatiSpesa730Service.wsdl");
define ("_ricevutePdf_WSDL",		"RicevutaPdf730Service.wsdl");
define ("_DocumentoSpesa_WSDL",		"");


$name			= _name;
$login			= _user;
$password		= _psw;
$cfProprietario		= _cfProprietario;
$cfProprietarioCifrato	= _cfProprietarioCifrato;
$piProprietario		= _piProprietario;
$pincodeInviante	= _pincodeInviante;
$pincodeInvianteCifrato	= _pincodeInviante;
$Sede			= _Sede;
$codiceRegione		= _codiceRegione;
$codiceAsl		= _codiceAsl;
$codiceSSA		= _codiceSSA;


error_log("name                   : ".$name, 0);
error_log("login                  : ".$login, 0);
error_log("password               : ".$password, 0);
error_log("cfProprietario         : ".$cfProprietario, 0);
error_log("cfProprietarioCifrato  : ".$cfProprietarioCifrato, 0);
error_log("piProprietario         : ".$piProprietario, 0);
error_log("pincodeInviante        : ".$pincodeInviante, 0);
error_log("pincodeInvianteCifrato : ".$pincodeInvianteCifrato, 0);
error_log("Sede                   : ".$Sede, 0);
error_log("codiceRegione          : ".$codiceRegione, 0);
error_log("codiceAsl              : ".$codiceAsl, 0);
error_log("codiceSSA              : ".$codiceSSA, 0);


$SoapClientParam = array
    ( 
    "location"		=> "x", 
    "login"		=> $login, 
    "password"		=> $password, 
    "authentication"	=> SOAP_AUTHENTICATION_BASIC, 
    "trace"		=> true,
    "exceptions"	=> true
    ); 

if( $STRUTTURA )
    {
    $datiProprietario = array
    ( 
    "codiceRegione" => $codiceRegione,
    "codiceAsl" => $codiceAsl,
    "codiceSSA" => $codiceSSA,
    "cfProprietario" => $cfProprietario
    );
    }
else
    {
    $datiProprietario = array
    ( 
    "cfProprietario" => $cfProprietario
    );
    }


$protocollo = "12345678901234567";

if( !empty( $_SESSION['protocollo'] ) ) $protocollo = $_SESSION['protocollo'];

if( !empty( $_REQUEST['protocollo'] ) ) $protocollo = $_REQUEST['protocollo'];

if( !empty( $argv ) ) $protocollo = $argv[1];
?>
